#!/usr/bin/perl -w
#
#	for use with the Dashboard-Widget "Network Stat"
#	(c) by Pascal Pfiffner 2005/2006

use strict;
use Encode;

my @lines = split(/\n/, `scselect 2>&1`);
my @processed;
shift @lines;
foreach my $line (@lines) {
	chomp $line;
	my($value, $name) = split(/\t/, $line);
	my $selected = ($value =~ /\*/) ? 1 : 0;
	$value = substr($value, 3);
	
	# process the name; for special chars, decode the Mac OS Roman -encoded string and assign an UTF-8 code
	$name = substr($name, 1, length($name) - 2);
	$name = encode("utf-8", decode("MacRoman", $name));
	#$name =~ s/([\x7f-\xff])/'&#'.ord($1).';'/ge;		# alternative (hand-made) utf-8 -encoding
	
	push(@processed, $selected."\t".$value."\t".$name);
}

print STDOUT join("\n", @processed);
